@import '../../theme/variable.scss';

.main-wrapper{
    overflow: hidden;
    
    .topbar{
        position: fixed;
        width: 100%;

        .navbar{
            background-color: $main-color;
            padding: 10px 15px;
            font-size: 1.2rem;
            margin-left: 250px;
            height: 40px;
        
            .navbar__title{
                color: #fff;
            }
        }
    }

    .side-bar{
        position: absolute;
        z-index: 1;
        top: 0px;
        left: 0px;
        width: 250px;
        background-color: #54a8a0;
        height: 100%;
        justify-items: center;

        .side-bar__header{
            min-height: 40px;
            text-align: center;
            box-shadow: 1px 1px 4px #3a7b5e;

            .header__title{
                color: #fff;
                font-size: 2rem;
                font-weight: 150px;
                text-decoration: none;
            }
        }

        .search{
            display: flex;
            justify-content: center;
            align-items: center;
            height: 40px;

            .search-input{
                border: 1px;
                border-radius: 2px;
                box-shadow: 1px 1px 5px lightgrey;
                width: 90%;
                height: 25px;
                padding-left: 10px;
            }
        }
        
            
    }

    .main-content{
        padding-top: 40px;
        margin-left: 250px;
        background-color: #f5f5f5;

        .container-fluid{
            padding: 1rem;
            height: calc(100vh - 40px);

            .thu{
                margin: 0;
                padding: .5rem;
                background-color: #fff;
                border-radius: 2px; 
            }
        }
    }
}
